<template>
  <div class="banner">
    <div class="banner__infos">
      <h2 class="banner__title">
        Lenny Mans
        <span class="banner__subtitle">Développeur Full Stack</span>
      </h2>
      <button
        @click="goToContent"
        class="banner__btn btn-transparent btn-h-main"
      >
        Commencer la visite
      </button>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      title: 'LM',
      imgAlt: 'Logo Lenny Mans'
    }
  },
  methods: {
    goToContent() {
      // On récupère la div du contenu qui suit la bannière
      const content = document.querySelector('.whoami')
      // Au clic du bouton de la bannière, on scroll vers la suite de la homepage
      content.scrollIntoView({
        behavior: 'smooth',
        block: 'start',
        inline: 'nearest'
      })
    }
  }
}
</script>

<style></style>
